.leading-0 {
    line-height: 0;
}

.content-section .left {
    word-break: break-word;
}

.img-text {
    color: #0F172A;
    font-size: 16px;
    font-weight: 400;
    text-align: left;
    line-height: 24px;
    padding: 16px;
    height: 200px;
    overflow-y: scroll;
}

.tooltip .tooltiptext {
    visibility: hidden;
    width: 120px;
    background-color: #555;
    color: #fff;
    text-align: center;
    padding: 0;
    border-radius: 6px;
    position: absolute;
    z-index: 1;
    bottom: 125%;
    left: 50%;
    margin-left: -60px;
    opacity: 0;
    transition: opacity 0.3s;
}

@-webkit-keyframes shine {
    100% {
        left: 125%;
    }
}

@keyframes shine {
    100% {
        left: 125%;
    }
}

.convert-all {
    border: unset;
    padding: 0px 20px;
    border-radius: 5px;
    background-color: #0984e3;
    color: white;
    width: fit-content;
    cursor: pointer;
    width: -moz-fit-content;
    -webkit-border-radius: 10px !important;
    -moz-border-radius: 10px !important;
    -ms-border-radius: 10px !important;
    -o-border-radius: 10px !important;
}

.left-preview-img {
    transition: 0.2s;
    cursor: pointer;
    -webkit-transition: 0.2s;
    -moz-transition: 0.2s;
    -ms-transition: 0.2s;
    -o-transition: 0.2s;
}

.left-preview {
    display: flex;
    align-items: center;
    gap: 16px;
}

.full-name {
    font-size: 14px;
    line-height: 20px;
    font-weight: 500;
    color: #1E223F;
}

.selected-result-head .count-uploaded-files {
    color: #85878E !important;
    font-size: 14px !important;
    font-weight: 400 !important;
    line-height: 20px !important;
}

.result-action-btn {
    display: flex;
    align-items: center;
    gap: 4px;
    font-weight: 400;
    font-size: 12px;
    line-height: 18px;
    /* letter-spacing: 0%; */
    color: #1e223f;
    cursor: pointer;
}

.img-text.expanded {
    height: auto;
}

.download_menu {
    width: fit-content;
    border-radius: 8px;
    padding: 4px;
    display: flex;
    flex-direction: column;
    background-color: #ffffff;
    box-shadow: 0px 4px 6px -2px #1018280D, 0px 10px 15px -3px #1018281A;
    position: absolute;
    z-index: 10;
    top: 40px;
    right: 0px;
}

.download_menu button {
    border-radius: 6px;
    background-color: transparent;
    border: none;
    padding: 6px 8px;
    font-size: 12px;
    line-height: 16px;
    color: #1E223F;
    text-align: left;
    min-width: 108px;
    cursor: pointer;
    transition: all 0.2s ease-in-out;
}

.download_menu button:hover {
    background-color: #F5F7FB;
}

.download-all .dropdown-arrow.rotate-arrow {
    transform: rotateX(180deg);
}

.cropper-image:hover img {
    transform: scale(1.1);
}

#fullImage {
    width: 100%;
    height: auto;
    display: block;
    margin: 0 auto;
}

.browse-btn-second {
    color: #1e223f;
    text-align: left;
    font-size: 18px;
    font-style: normal;
    gap: 8px;
    font-weight: 500;
    line-height: normal;
    cursor: pointer;
}

.upload-area-opacity::before {
    content: "";
    background: rgb(255 255 255 / 100%);
    width: 100%;
    height: 100%;
    position: absolute;
}

.upload-area:hover {
    background: linear-gradient(180deg, rgba(72, 153, 255, 0.04) 0%, rgba(43, 92, 153, 0) 98.67%) !important;
    border-color: #4899FFCC !important;
}

.submit-btn {
    border: unset;
    padding: 5px 25px;
    border-radius: 5px;
    background-color: var(--color-blue);
    color: white;
}


.tool-upload-btns #url,
.tool-upload-btns #show_link_url {
    height: 40px;
    width: 170px;
    border-radius: 10px;
    border: 0.3px solid #85878e;
    opacity: 0.5;
    padding: 5px;
    background: #f6f7fb80 !important;
}

.tool-upload-btns #url {
    margin-left: 6px;
}

.tool-upload-btns #show_link_url {
    height: 32px;
}

.tool-upload-btns #show_link_url::placeholder {
    color: #85878e;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 23px;
}

.uploaded_tool {
    margin: 0px 0px 16px 0px;
}

.flow-horizontal {
    display: flex;
    align-items: center;
}

.preview-head {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    padding: 8px;
    background-color: #ffffff;
    border-radius: 12px;
    gap: 12px;
}

.preview-head.resulted-head {
    padding: 12px 16px;
    border-bottom: 1px solid #EAECF0;
    position: sticky;
    top: 0px;
    border-bottom-left-radius: unset;
    border-bottom-right-radius: unset;
}

.btn {
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    gap: 0.324rem;
    background-color: #e7ebf3;
    color: #1e223f;
    padding: 8px 16px;
    border-radius: 8px;
    font-size: 14px;
    cursor: pointer;
    line-height: 24px;
    border: none;
}

.btn.convert-btn {
    font-weight: 500;
    font-size: 16px;
    line-height: 24px;
    text-align: center;
    color: #fff !important;
    background-color: #4899ff !important;
}

.btn.convert-btn:hover {
    background-color: #0984e3 !important;
}

.btn.restart_btn {
    color: #ffffff;
    background-color: #1e223f !important;
}

.btn.restart_btn:hover {
    background-color: #3f3e54 !important;
}

.btn.download-all,
.btn.ocr-download-all {
    background-color: #4899ff !important;
}

.btn.download-all:hover,
.btn.ocr-download-all:hover {
    background-color: #0984e3 !important;
}

.selected-result {
    display: flex;
    flex-direction: column;
    gap: 12px;
    border-radius: 12px;
    border: 1px solid #EAECF0;
    background: #fbfbfb;
    max-width: 100%;
    width: 100%;
    margin: 0 auto;
    padding: 16px;
    text-align: center;
}

.selected-result-head {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.selected-result-head .heading {
    color: #0d1120;
    font-size: 16px;
    font-style: normal;
    font-weight: 700;
    line-height: 24px;
    text-wrap: nowrap;
}

.multiple-img-preview {
    display: flex;
    flex-direction: column;
    flex: 2;
    position: relative;
    gap: 8px;
}

.progress2 {
    border-radius: 10px;
    background-color: #dde0e8;
}

.progress-bar2 {
    height: 5px;
    border-radius: 10px;
    transition: 0.4s linear;
    transition-property: width, background-color;
}

.progress-moved .progress-bar2 {
    background-color: #179aff;
    animation: progress 3s forwards;
}

.center-preview-file-bar {
    height: 5px;
    border-radius: 10px;
    background: #179aff;
}

.percentage,
.percentage span {
    color: #7a7b8e;
    font-size: 14px;
    margin-top: 10px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    text-align: right;
}

@keyframes progress {
    0% {
        width: 0%;
        background: #179aff;
    }

    100% {
        width: 100%;
        background: #179aff;
    }
}

.js-single-img-preview {
    border-radius: 12px;
    border: 1px solid #EAECF0;
    background: #ffffff;
    transition: min-height 0.3s ease !important;
}

.choose-plan-desc span {
    line-height: 24px;
}

.choose-plan-desc {
    font-size: 14px;
    font-weight: 500;
    line-height: 24px;
    color: #0d0c22;
}

.img-preview-size {
    color: #7a7b8e;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    display: none;
}

.left-preview-img {
    max-height: 74px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.no-response-title {
    color: #de1a1a;
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}

.no-response-des {
    color: #252a3e;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px;
    letter-spacing: 0.18px;
}


.title-hover {
    position: relative;
    display: inline-block;
    height: 32px;
}

.tooltip {
    border-bottom: unset !important;
}

.tooltip::before {
    content: attr(data-title);
    position: absolute;
    top: -8px;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: black;
    color: white;
    border-radius: 5px;
    opacity: 0;
    font-size: 12px;
    padding: 2px 5px;
    z-index: 9999;
    visibility: hidden;
    transition: opacity 0.3s ease-in-out;
}

.tooltip.active::before {
    opacity: 1;
    visibility: visible;
}

/* Icon hover and active effects */
.tooltip svg:hover {
    filter: brightness(0.95);
}

.tooltip svg:active {
    filter: brightness(1.05);
}

.left-preview-img .image-preview {
    border-radius: 8px;
    width: 100px;
    max-width: 100px;
    height: 74px;
    object-fit: cover;
}

.left-preview-img .image-preview.resulted-img {
    width: 32px !important;
    height: 32px !important;
}

.center-preview-file {
    text-align: center;
    display: flex;
    gap: 0.324rem;
    align-items: center;
}

.js-single-img-preview .left-preview .left-preview-img {
    position: relative;
}

.right-preview {
    display: flex;
    align-items: center;
    gap: 8px;
}

.right-preview-text {
    color: #de1a1a;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.result-heading {
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: var(--color-skyblue);
    font-weight: 700;
}

.result-div {
    display: flex;
    background: #ffffff;
    padding: 10px;
    border-radius: 10px;
    box-shadow: 0px 10px 99px rgba(0, 0, 0, 0.051);
}

.result-div>div:nth-child(1) {
    flex: 1;
}

.result-div>div:nth-child(2) {
    flex: 4;
}

.single-result>div {
    max-width: 350px;
    margin-left: 20px;
}

.result-div:not(:first-child) {
    margin-top: 1rem;
}

.result-div .js-single-img-prev img {
    min-width: 200px;
    max-width: 200px;
    border-radius: 10px;
    max-height: 200px;
    min-height: 200px;
    width: 100%;
    height: 100%;
}

.js-single-img-prev {
    height: 200px;
}

.single-result {
    max-height: 150px;
    overflow: auto;
    height: 150px;
}

.single-result::-webkit-scrollbar {
    width: 7px;
}

.single-result::-webkit-scrollbar-thumb {
    background: #c2e4ff;
    border-radius: 10px;
}

.single-img-action-btns {
    display: flex;
    justify-content: end;
    gap: 10px;
}

.js-single-result-btn {
    margin-top: 10px;
    padding: 2px 15px;
    border-radius: var(--border-radius-default);
    display: flex;
    gap: 10px;
    justify-content: space-evenly;
    cursor: pointer;
    background: var(--color-F0F0F0);
}

.js-single-result-btn:hover {
    background: var(--color-lightblue);
    color: var(--color-blue);
}

.js-single-result-btn:hover svg path {
    stroke: var(--color-blue);
}

.js-single-result-btn svg {
    margin-top: 7px;
}

.js-single-result-btn:hover label {
    cursor: pointer;
}

.single-img-action-btns .tooltiptext {
    min-width: 100px;
    left: 80%;
}

.js-download-all {
    border-radius: 10px;
    background: #0d1120;
    display: flex;
    padding: 8px 11px;
    cursor: pointer;
    color: #fff;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    justify-content: center;
    align-items: center;
    transition: 0.3s;
}

span.js-download-all:hover {
    background: #313043;
}

span.js-download-all:active {
    background: #0d0c22;
}

.js-single-result-copy svg:hover,
.js-single-result-download svg:hover {
    filter: brightness(0.95);
}

.js-single-result-copy svg:active,
.js-single-result-download svg:active {
    filter: brightness(1.05);
}

.js-download-all img {
    margin-right: 5px;
    vertical-align: sub;
    width: 27px;
    height: 22px;
}

.img_loader {
    position: absolute;
}

.result_title {
    color: black;
    font-size: var(--font-size-large);
}

.timer {
    display: flex;
    align-items: center;
    font-size: 48px;
    color: black;
    font-weight: bold;
}

.timer-card {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.flip-card {
    width: 36px;
    margin: 0 4px;
}

.flip-card-inner {
    width: 30px;
    height: 30px;
    transform-style: preserve-3d;
    transition: transform 0.5s;
}

.flip-card-front,
.flip-card-back {
    width: 100%;
    height: 100%;
    position: absolute;
    backface-visibility: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 24px;
    font-weight: bold;
    background-color: white;
    border: 1px solid #ddd;
    border-radius: var(--border-radius-default);
}

.flip-card-front span {
    font-size: 18px;
}

.flip-card-back {
    transform: rotateY(180deg);
}

.separator {
    font-weight: bold;
    font-size: var(--font-size-large);
    color: white;
}


.cropper-image {
    right: 0 !important;
    padding: 2px 4px;
    background: #8999B980;
    color: #1e223f;
    border-bottom-left-radius: 8px;
    border-top-right-radius: 8px;
    line-height: 12px;
    font-size: 10px;
    border: none;
    font-weight: 500;
}

/* latest css end */

.tool-bottom {
    position: sticky;
    bottom: 0px;
    background-color: #fbfbfb;
    padding-top: 4px;
    padding-bottom: 5px;
    gap: 12px;
}

/* throttle reach wrapper start */
.throttle_reach_wrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: #EBF8FF;
    border-radius: 16px;
    padding: 12px 16px;
    margin: 16px 0px;
}

.throttle_left_side {
    display: flex;
    align-items: center;
    gap: 8px;
}

.throttle_title_group {
    display: flex;
    align-items: center;
    gap: 20px;
}

.throttle_icon {
    display: flex;
    align-items: center;
    justify-content: center;
}

.throttle_main_title {
    font-family: "Roboto", "Roboto-Fallback", sans-serif;
    font-style: normal;
    font-weight: 700;
    font-size: 16px;
    line-height: 24px;
    color: #1e223f;
}

.throttle_desc_group {
    display: flex;
    align-items: center;
    gap: 4px;
}

/* Add separator on desktop */
.throttle_desc_group::before {
    content: "-";
    width: 6px;
    color: #1E223F;
    font-size: 16px;
    font-weight: 600;
    margin-right: 4px;
}

.throttle_desc_text,
.throttle_unlock_text {
    font-family: "Roboto", "Roboto-Fallback", sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
    color: #55586e;
}

.throttle_signup_text {
    font-family: "Roboto", "Roboto-Fallback", sans-serif;
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    line-height: 24px;
    text-decoration-line: underline;
    color: #1e223f;
    cursor: pointer;
}

.throttle_right_side {
    display: flex;
    align-items: center;
    gap: 20px;
}

.throttle_upgrade_link {
    font-family: "Roboto", "Roboto-Fallback", sans-serif;
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    line-height: 24px;
    text-align: center;
    color: #4899ff;
    cursor: pointer;
    text-decoration: none;
}

.throttle_close_icon {
    cursor: pointer;
    display: flex;
    align-items: center;
}

@media(max-width: 768px) {
    .left-preview-img .image-preview {
        width: 32px !important;
        height: 32px !important;
    }
}

/* throttle reach wrapper end */
@media(max-width: 425px) {
    .selected-result-head.mobile-content-center {
        flex-direction: column;
        gap: 12px;
        align-items: self-start;
    }

    .selected-result-head.mobile-content-center>.tool-action.flow-horizontal {
        justify-content: center;
        gap: 8px;
    }

    .selected-result-head.mobile-content-center>.tool-action.flow-horizontal>.restart-btn,
    .selected-result-head.mobile-content-center>.tool-action.flow-horizontal>.only_ocr_download_all,
    .selected-result-head.mobile-content-center>.tool-action.flow-horizontal>.download_all_cont {
        width: 50%;
    }
}



/* Trust pilot css starts  */
#trustpilot {
    display: none;
    flex-direction: column;
    padding: 24px 30px 28px 30px;
    gap: 16px;
    position: fixed;
    right: 16px;
    bottom: 126px;
    background: #ffffff;
    box-shadow: 0 8px 56px -8px #3C404329;
    border-radius: 8px;
    z-index: 50;
    animation: slideUp 0.5s ease-out forwards;
}

#trustpilot.hidden {
    display: none !important;
}

#close-trustpilot {
    position: absolute;
    right: 8px;
    top: 8px;
    cursor: pointer;
}

.like_our_site {
    font-family: "Roboto";
    font-style: normal;
    font-weight: 600;
    font-size: 16px;
    line-height: 24px;
    text-align: center;
    color: #1e223f;
    text-align: center;
    width: 100%;
}

.rating_trustpilot_wrapper {
    cursor: pointer;
    box-sizing: border-box;
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 8px 22px;
    gap: 8px;
    width: 215px;
    height: 46px;
    background: #ffffff;
    border: 1px solid #eaecf0;
    border-radius: 8px;
    z-index: 1;
    transition: all 0.3s;
}

.rating_trustpilot_wrapper:hover {
    border-color: #32c76e;
}

.rate_us_on {
    font-family: "Roboto";
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 20px;
    color: #55586e;
}

@keyframes slideUp {
    0% {
        bottom: 210px;
    }

    100% {
        bottom: 126px;
    }
}

/* trust pilot css ends  */
.mobile-hide-tab {
    display: none !important;
}

.no-text-found-icon {
    display: none !important;
}

@media (max-width: 600px) {
    .home-tool-container {
        padding: 0px !important;

        .mobile:not(.d-none) {
            display: block !important;
        }

        .desktop {
            display: none !important;
        }

        .main_heading,
        .h1_text {
            padding: 0 10px !important;
        }

        .tool {
            padding: 0 16px !important;
        }

        .tool-section {
            .left {
                padding: 0px !important;

                .uploaded_tool {
                    padding: 0 16px !important;

                    .tool-inner {
                        gap: 10px !important;
                        height: 118px;
                    }
                }

                .selected-result {
                    border-radius: 0px;
                    border-width: 1px 0;

                    .selected-result-head {

                        .count-uploaded-files.desktop {
                            display: none !important;
                        }

                        .tool-heading.flow-horizontal {
                            display: flex;
                            justify-content: space-between;
                            align-items: center;
                            width: 100%;
                            padding: 0px !important;

                            .upload-text {
                                display: flex;
                                align-items: center;
                                flex-direction: row;
                                width: fit-content;

                                .count-uploaded-files.mobile {
                                    margin-left: 5px !important;
                                    display: block !important;
                                    font-weight: 700 !important;
                                    font-size: 16px !important;
                                    line-height: 24px !important;
                                    color: #1E223F !important;
                                }
                            }

                            #clearAll a {
                                padding: 6px 8px !important;
                                font-weight: 400 !important;
                                font-size: 14px !important;
                                line-height: 20px !important;
                                text-align: center !important;

                            }
                        }

                    }

                    .multiple-img-preview {

                        .js-single-img-preview {
                            padding: 8px !important;
                            border: none !important;
                            box-shadow: 0 0 0 1px #EAECF0;

                            &.error-results {
                                box-shadow: 0 0 0 1px #FF5C5C;
                                position: relative;

                                .no-response-title {
                                    color: #DE1A1A !important;
                                    font-weight: 500 !important;
                                    font-size: 14px !important;
                                    line-height: 20px !important;

                                }

                                .no-response-des {
                                    color: #55586E !important;
                                    font-family: Roboto;
                                    font-weight: 400 !important;
                                    font-size: 12px !important;
                                    line-height: 18px !important;
                                    margin-top: 2px !important;

                                }

                                .no-text-found-icon {
                                    display: block !important;
                                    position: absolute;
                                    top: 17px;
                                    right: 17px;
                                }

                            }

                            .preview-head {
                                padding: 0px;
                                border: none;

                                .result-action-btn.invisible {
                                    display: none !important;
                                }
                            }
                        }



                        .preview-body {
                            margin-top: 8px !important;

                            .img-text {
                                margin: 0px !important;
                                padding: 0px !important;
                                font-size: 14px !important;
                                line-height: 20px !important;
                                height: 120px;

                                &.expanded {
                                    height: auto !important;
                                }
                            }
                        }
                    }
                }

                .tool-bottom.justify-content-between.flow-horizontal {
                    padding: 0 !important;
                    padding-top: 4px !important;
                    justify-content: flex-end !important;
                }

            }
        }

        @media (max-width: 320px) {
            .right-preview.w-full {
                width: 100% !important;
                justify-content: flex-end !important;

            }
        }
    }
}